Skip to main content
GET
/
verify
/
accounts
Get all verify accounts
curl --request GET \
  --url https://api-sandbox.orum.io/verify/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Orum-Version: <orum-version>'
{
  "accounts": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "account_number": "<string>",
      "routing_number": "<string>",
      "account_holder_name": "<string>",
      "email": "[email protected]",
      "person": {
        "first_name": "<string>",
        "last_name": "<string>",
        "phone_number": "<string>"
      },
      "business": {
        "business_name": "<string>",
        "phone_number": "<string>"
      },
      "estimated_verification_date": "2023-07-13T00:00:00.000Z",
      "sender_name": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.orum.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Orum-Version
enum<string>
required

Version of Deliver and Verify APIs. Use v2022-09-21.

Available options:
v2022-09-21

Query Parameters

index
integer
default:0

Index for paginated results

Required range: x >= 0
size
integer
default:100

Max number of results to return

Required range: 0 <= x <= 500
id
string<uuid>

Filter results by the account id

start_time
string<date-time>

Filter results created at or after this time

end_time
string<date-time>

Filter results created before this time

account_number
string

Filter results by account number Account number for US bank account. 4 to 17 digits are acceptable.

Pattern: ^(?:\d-{0,1}){3,16}\d$
verification_status
enum<string>[]

Filter results by account status

Status of account verification.

Available options:
pending,
valid,
closed,
invalid,
failed
ownership_status
enum<string>[]

Filter results by account ownership status

Status of account ownership.

Available options:
pending,
full,
partial,
not_a_match,
not_found
control_status
enum<string>[]

Filter results by account control status

Status of account control.

Available options:
pending,
valid,
canceled
debit_status
enum<string>[]

Filter results by account debit status

Status of account debit.

Available options:
pending,
valid,
blocked,
failed

Response

200 response.

accounts
VerifyAccountResponseBase · object[]
required

An array of verify accounts.